### Class

# Gcr AccessDescription

unstable since: 4.3.91

#### Description [src]

    final class Gcr.AccessDescription : GObject.Object
    {
      /* No available fields */
    }

Describes a location for fetching extra information from the Certificate Authority.

This object is usually part of a `GcrCertificateExtensionAuthorityInfoAccess` object.

Available since: 4.3.91

#### Ancestors

- GObject

#### Instance methods

###### gcr_access_description_get_location

Returns the location, described by a `GcrGeneralName`.

###### gcr_access_description_get_method_name

Returns a user-friendly name of the method for accesssing the resource, if known.

###### gcr_access_description_get_method_oid

Returns the OID string that describes the method for accessing the resource.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrAccessDescriptionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.